<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ParticleConst.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ParticleConst.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_particle_const_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_8h.html">eicd/Particle.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_const_8h.html">eicd/ParticleConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_obj_8h.html">eicd/ParticleObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_data_8h.html">eicd/ParticleData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_collection_8h.html">eicd/ParticleCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">   16</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">ConstParticle::ConstParticle</a>() : m_obj(new <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>()) {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a4eddcd004d577d2867b5a640eb844376">   20</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">ConstParticle::ConstParticle</a>(<a class="code" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a> <a class="code" href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">p</a>, <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> <a class="code" href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">v</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">pid</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">status</a>) : m_obj(new <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>()) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a> = <a class="code" href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">p</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a> = <a class="code" href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">v</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#a61c1b52dc98b60570d69b72547d2aae2">pid</a> = <a class="code" href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">pid</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#a2c4388b87bb96a0a4bdbbaa824e1db58">status</a> = <a class="code" href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">status</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a0e6aad2dfe43aece5c1762a6772be887">   28</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">ConstParticle::ConstParticle</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_particle.html">ConstParticle</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#afcf4db3cf6b9b62b4024094a27823553">   32</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html">ConstParticle</a>&amp; <a class="code" href="classeic_1_1_const_particle.html#afcf4db3cf6b9b62b4024094a27823553">ConstParticle::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_particle.html">ConstParticle</a>&amp; other) {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;}</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a8bc9cb2ec98c10c6c93cf24ec8b22377">   38</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">ConstParticle::ConstParticle</a>( <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a958579e61a22883dee77b515e824204e">   42</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html">ConstParticle</a> <a class="code" href="classeic_1_1_const_particle.html#a958579e61a22883dee77b515e824204e">ConstParticle::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>(*m_obj)};</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a782e29fdf0b7e9a471552bf5693c5adc">   46</a></span>&#160;<a class="code" href="classeic_1_1_const_particle.html#a782e29fdf0b7e9a471552bf5693c5adc">ConstParticle::~ConstParticle</a>() {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">   49</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a>&amp; <a class="code" href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">ConstParticle::p</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a>; }</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#ada3c217b6fdc2d2db2a64dbb7926b57c">   50</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#ada3c217b6fdc2d2db2a64dbb7926b57c">ConstParticle::px</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a>.<a class="code" href="classeic_1_1_vector_px_py_pz_m.html#a342b77cf0b0dfa02f05a50960221c945">px</a>; }</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a2e0c29c0bb0f3886502b87992be9aef4">   51</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a2e0c29c0bb0f3886502b87992be9aef4">ConstParticle::py</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a>.<a class="code" href="classeic_1_1_vector_px_py_pz_m.html#a0f7be986e2baba49fc27b1971cfb03f1">py</a>; }</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a2f7e70e5ed2076662feb25c91c2ce370">   52</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a2f7e70e5ed2076662feb25c91c2ce370">ConstParticle::pz</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a>.<a class="code" href="classeic_1_1_vector_px_py_pz_m.html#a1810dad79e3bcf7f0b0dc6d52c7e7177">pz</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a289e3a6a49ecd74152f6a73b8455fe8b">   53</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a289e3a6a49ecd74152f6a73b8455fe8b">ConstParticle::m</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a>.<a class="code" href="classeic_1_1_vector_px_py_pz_m.html#a8f57e71398fbc23d4dcd8a0e5c6e2663">m</a>; }</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">   54</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&amp; <a class="code" href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">ConstParticle::v</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a982d47bf755edcefe83a13759c6eb49e">   55</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a982d47bf755edcefe83a13759c6eb49e">ConstParticle::x</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">x</a>; }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a17b7719db3e3434973a5993bb954bcdc">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a17b7719db3e3434973a5993bb954bcdc">ConstParticle::y</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">y</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#ab1d116a7e15906e2a7ad1f675897bb2a">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#ab1d116a7e15906e2a7ad1f675897bb2a">ConstParticle::z</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">z</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a26c1576c88b6ba285447f28bbc7dca94">   58</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a26c1576c88b6ba285447f28bbc7dca94">ConstParticle::t</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">t</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">   59</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">ConstParticle::pid</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#a61c1b52dc98b60570d69b72547d2aae2">pid</a>; }</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">   60</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">ConstParticle::status</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>.<a class="code" href="classeic_1_1_particle_data.html#a2c4388b87bb96a0a4bdbbaa824e1db58">status</a>; }</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#ad64b615f4a0363b3c9e4fa1dd27eedd8">   67</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_particle.html#ad64b615f4a0363b3c9e4fa1dd27eedd8">ConstParticle::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  }</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;}</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a389ba46589dec62ac7384e7ba76f3d78">   74</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_particle.html#a389ba46589dec62ac7384e7ba76f3d78">ConstParticle::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classeic_1_1_const_particle.html#a7fbe411100bc36c6280c5f5ab3f228a6">   81</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_particle.html#a7b0c7492bc2e2b643d68ed067f46e7a6">ConstParticle::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="ttc" id="classeic_1_1_vector_px_py_pz_m_html_a0f7be986e2baba49fc27b1971cfb03f1"><div class="ttname"><a href="classeic_1_1_vector_px_py_pz_m.html#a0f7be986e2baba49fc27b1971cfb03f1">eic::VectorPxPyPzM::py</a></div><div class="ttdeci">double py</div><div class="ttdef"><b>Definition:</b> <a href="_vector_px_py_pz_m_8h_source.html#l00014">VectorPxPyPzM.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a26c1576c88b6ba285447f28bbc7dca94"><div class="ttname"><a href="classeic_1_1_const_particle.html#a26c1576c88b6ba285447f28bbc7dca94">eic::ConstParticle::t</a></div><div class="ttdeci">const double &amp; t() const</div><div class="ttdoc">Access the member of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00058">ParticleConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a17b7719db3e3434973a5993bb954bcdc"><div class="ttname"><a href="classeic_1_1_const_particle.html#a17b7719db3e3434973a5993bb954bcdc">eic::ConstParticle::y</a></div><div class="ttdeci">const double &amp; y() const</div><div class="ttdoc">Access the member of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00056">ParticleConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_particle_data_html_aa0837a1373761dfcdbcea25058e7ae34"><div class="ttname"><a href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">eic::ParticleData::p</a></div><div class="ttdeci">::eic::VectorPxPyPzM p</div><div class="ttdoc">Four momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_data_8h_source.html#l00018">ParticleData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_particle_obj_html"><div class="ttname"><a href="classeic_1_1_particle_obj.html">eic::ParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8h_source.html#l00018">ParticleObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a2e0c29c0bb0f3886502b87992be9aef4"><div class="ttname"><a href="classeic_1_1_const_particle.html#a2e0c29c0bb0f3886502b87992be9aef4">eic::ConstParticle::py</a></div><div class="ttdeci">const double &amp; py() const</div><div class="ttdoc">Access the member of Four momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00051">ParticleConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_ab1d116a7e15906e2a7ad1f675897bb2a"><div class="ttname"><a href="classeic_1_1_const_particle.html#ab1d116a7e15906e2a7ad1f675897bb2a">eic::ConstParticle::z</a></div><div class="ttdeci">const double &amp; z() const</div><div class="ttdoc">Access the member of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00057">ParticleConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a2f7e70e5ed2076662feb25c91c2ce370"><div class="ttname"><a href="classeic_1_1_const_particle.html#a2f7e70e5ed2076662feb25c91c2ce370">eic::ConstParticle::pz</a></div><div class="ttdeci">const double &amp; pz() const</div><div class="ttdoc">Access the member of Four momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00052">ParticleConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_vector_px_py_pz_m_html"><div class="ttname"><a href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_px_py_pz_m_8h_source.html#l00011">VectorPxPyPzM.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_ae347ee95d3330b53d02cb17466174874"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">eic::VectorXYZT::y</a></div><div class="ttdeci">double y</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00014">VectorXYZT.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html"><div class="ttname"><a href="classeic_1_1_const_particle.html">eic::ConstParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8h_source.html#l00025">ParticleConst.h:25</a></div></div>
<div class="ttc" id="_particle_data_8h_html"><div class="ttname"><a href="_particle_data_8h.html">ParticleData.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a30049f8c9df70f102a45751da2ad14f7"><div class="ttname"><a href="classeic_1_1_const_particle.html#a30049f8c9df70f102a45751da2ad14f7">eic::ConstParticle::ConstParticle</a></div><div class="ttdeci">ConstParticle()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00016">ParticleConst.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_aae3cf05102b6482aaf12dd8eeb9d7d59"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">eic::VectorXYZT::z</a></div><div class="ttdeci">double z</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00015">VectorXYZT.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_particle_data_html_a2c4388b87bb96a0a4bdbbaa824e1db58"><div class="ttname"><a href="classeic_1_1_particle_data.html#a2c4388b87bb96a0a4bdbbaa824e1db58">eic::ParticleData::status</a></div><div class="ttdeci">long long status</div><div class="ttdoc">Status code. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_data_8h_source.html#l00021">ParticleData.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a27cceeef4b9612d7aafb710c5c6bec04"><div class="ttname"><a href="classeic_1_1_const_particle.html#a27cceeef4b9612d7aafb710c5c6bec04">eic::ConstParticle::v</a></div><div class="ttdeci">const eic::VectorXYZT &amp; v() const</div><div class="ttdoc">Access the vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00054">ParticleConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_afcf4db3cf6b9b62b4024094a27823553"><div class="ttname"><a href="classeic_1_1_const_particle.html#afcf4db3cf6b9b62b4024094a27823553">eic::ConstParticle::operator=</a></div><div class="ttdeci">ConstParticle &amp; operator=(const ConstParticle &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00032">ParticleConst.cc:32</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a982d47bf755edcefe83a13759c6eb49e"><div class="ttname"><a href="classeic_1_1_const_particle.html#a982d47bf755edcefe83a13759c6eb49e">eic::ConstParticle::x</a></div><div class="ttdeci">const double &amp; x() const</div><div class="ttdoc">Access the member of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00055">ParticleConst.cc:55</a></div></div>
<div class="ttc" id="_particle_collection_8h_html"><div class="ttname"><a href="_particle_collection_8h.html">ParticleCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a42851a9de96f79e01e18a4b95ae8df85"><div class="ttname"><a href="classeic_1_1_const_particle.html#a42851a9de96f79e01e18a4b95ae8df85">eic::ConstParticle::status</a></div><div class="ttdeci">const long long &amp; status() const</div><div class="ttdoc">Access the Status code. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00060">ParticleConst.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_ad64b615f4a0363b3c9e4fa1dd27eedd8"><div class="ttname"><a href="classeic_1_1_const_particle.html#ad64b615f4a0363b3c9e4fa1dd27eedd8">eic::ConstParticle::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00067">ParticleConst.cc:67</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a958579e61a22883dee77b515e824204e"><div class="ttname"><a href="classeic_1_1_const_particle.html#a958579e61a22883dee77b515e824204e">eic::ConstParticle::clone</a></div><div class="ttdeci">ConstParticle clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00042">ParticleConst.cc:42</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a389ba46589dec62ac7384e7ba76f3d78"><div class="ttname"><a href="classeic_1_1_const_particle.html#a389ba46589dec62ac7384e7ba76f3d78">eic::ConstParticle::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00074">ParticleConst.cc:74</a></div></div>
<div class="ttc" id="classeic_1_1_particle_data_html_a61c1b52dc98b60570d69b72547d2aae2"><div class="ttname"><a href="classeic_1_1_particle_data.html#a61c1b52dc98b60570d69b72547d2aae2">eic::ParticleData::pid</a></div><div class="ttdeci">long long pid</div><div class="ttdoc">Particle type identification code. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_data_8h_source.html#l00020">ParticleData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_aa6eb35c80e38ca34929d9dfa55ec33ed"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">eic::VectorXYZT::x</a></div><div class="ttdeci">double x</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00013">VectorXYZT.h:13</a></div></div>
<div class="ttc" id="_particle_const_8h_html"><div class="ttname"><a href="_particle_const_8h.html">ParticleConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_ada3c217b6fdc2d2db2a64dbb7926b57c"><div class="ttname"><a href="classeic_1_1_const_particle.html#ada3c217b6fdc2d2db2a64dbb7926b57c">eic::ConstParticle::px</a></div><div class="ttdeci">const double &amp; px() const</div><div class="ttdoc">Access the member of Four momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00050">ParticleConst.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_vector_px_py_pz_m_html_a8f57e71398fbc23d4dcd8a0e5c6e2663"><div class="ttname"><a href="classeic_1_1_vector_px_py_pz_m.html#a8f57e71398fbc23d4dcd8a0e5c6e2663">eic::VectorPxPyPzM::m</a></div><div class="ttdeci">double m</div><div class="ttdef"><b>Definition:</b> <a href="_vector_px_py_pz_m_8h_source.html#l00016">VectorPxPyPzM.h:16</a></div></div>
<div class="ttc" id="_particle_obj_8h_html"><div class="ttname"><a href="_particle_obj_8h.html">ParticleObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a289e3a6a49ecd74152f6a73b8455fe8b"><div class="ttname"><a href="classeic_1_1_const_particle.html#a289e3a6a49ecd74152f6a73b8455fe8b">eic::ConstParticle::m</a></div><div class="ttdeci">const double &amp; m() const</div><div class="ttdoc">Access the member of Four momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00053">ParticleConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_particle_data_html_ae1ca2720f06365a32f2cb341881c0024"><div class="ttname"><a href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">eic::ParticleData::v</a></div><div class="ttdeci">::eic::VectorXYZT v</div><div class="ttdoc">vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_data_8h_source.html#l00019">ParticleData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_acb244fd15098e5d8f334dbb4b3cb5739"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">eic::VectorXYZT::t</a></div><div class="ttdeci">double t</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00016">VectorXYZT.h:16</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a782e29fdf0b7e9a471552bf5693c5adc"><div class="ttname"><a href="classeic_1_1_const_particle.html#a782e29fdf0b7e9a471552bf5693c5adc">eic::ConstParticle::~ConstParticle</a></div><div class="ttdeci">~ConstParticle()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00046">ParticleConst.cc:46</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a367ba5ae9762f547f9fab9a915bf5007"><div class="ttname"><a href="classeic_1_1_const_particle.html#a367ba5ae9762f547f9fab9a915bf5007">eic::ConstParticle::p</a></div><div class="ttdeci">const eic::VectorPxPyPzM &amp; p() const</div><div class="ttdoc">Access the Four momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00049">ParticleConst.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_particle_html"><div class="ttname"><a href="classeic_1_1_particle.html">eic::Particle</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_8h_source.html#l00027">Particle.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_vector_px_py_pz_m_html_a1810dad79e3bcf7f0b0dc6d52c7e7177"><div class="ttname"><a href="classeic_1_1_vector_px_py_pz_m.html#a1810dad79e3bcf7f0b0dc6d52c7e7177">eic::VectorPxPyPzM::pz</a></div><div class="ttdeci">double pz</div><div class="ttdef"><b>Definition:</b> <a href="_vector_px_py_pz_m_8h_source.html#l00015">VectorPxPyPzM.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a631f764e7c3622416dfe0f6deb8f76c8"><div class="ttname"><a href="classeic_1_1_const_particle.html#a631f764e7c3622416dfe0f6deb8f76c8">eic::ConstParticle::pid</a></div><div class="ttdeci">const long long &amp; pid() const</div><div class="ttdoc">Access the Particle type identification code. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8cc_source.html#l00059">ParticleConst.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html_a7b0c7492bc2e2b643d68ed067f46e7a6"><div class="ttname"><a href="classeic_1_1_const_particle.html#a7b0c7492bc2e2b643d68ed067f46e7a6">eic::ConstParticle::operator==</a></div><div class="ttdeci">bool operator==(const ConstParticle &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8h_source.html#l00091">ParticleConst.h:91</a></div></div>
<div class="ttc" id="classeic_1_1_particle_obj_html_a071183104206fc02db0787076786a9d8"><div class="ttname"><a href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">eic::ParticleObj::data</a></div><div class="ttdeci">ParticleData data</div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8h_source.html#l00030">ParticleObj.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00011">VectorXYZT.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_vector_px_py_pz_m_html_a342b77cf0b0dfa02f05a50960221c945"><div class="ttname"><a href="classeic_1_1_vector_px_py_pz_m.html#a342b77cf0b0dfa02f05a50960221c945">eic::VectorPxPyPzM::px</a></div><div class="ttdeci">double px</div><div class="ttdef"><b>Definition:</b> <a href="_vector_px_py_pz_m_8h_source.html#l00013">VectorPxPyPzM.h:13</a></div></div>
<div class="ttc" id="_particle_8h_html"><div class="ttname"><a href="_particle_8h.html">Particle.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
